# SendDice - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send / SendDice

# SendDice

(common) `data class SendDice : ReplyingMarkupSendMessageRequest<ContentMessage<DiceContent>>, ReplyMessageId, DisableNotification` (source)

### Constructors

(common)

#### <init>

`SendDice(chatId: ChatIdentifier, animationType: DiceAnimationType? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`

### Properties

(common)

#### animationType

`val animationType: DiceAnimationType?`

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<DiceContent>>`

### Functions

(common)

#### method

`fun method(): String`